This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881107 - rhnKickstartTimezone table contains several invalid time zones for kickstarting
rhnKickstartTimezone table contains several invalid time zones for kickstarting
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2012-11-28 11:40 EST by Milan Zazrivec
Modified: 2015-05-29 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:11:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2012-11-28 11:40:46 EST
Description of problem:
rhnKickstartTimezone table contains several invalid time zones for rhel_6
install type (quite possible also for rhel_5).

Choosing this invalid timezone in Satellite's webui will result into
anaconda falling back to America/New_York (i.e. ignoring the invalid
timezone definition coming from Satellite).

The timezones for each available install type (rhel_5, rhel_6, ...) need
to actually match what that particular system / distro supports.

Version-Release number of selected component (if applicable):
spacewalk-schema-1.7.55-32.el6sat.noarch
satellite-schema-5.5.0.15-1.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart profile for RHEL-5, RHEL-6, ...
2. Navigate to the following webui app: rhn/kickstart/Locale.do?ksid=...
and check whether the timezones presented match locales supported
by that particular system (RHEL-5, RHEL-6, ...)
  
Actual results:
RHN Satellite contains invalid timezone definitions for kickstarting.

Expected results:
Timezone definitions for kickstart in RHN Satellite are valid.

Additional info:
N/A

Note You need to log in before you can comment on or make changes to this bug.